Bug 472445 - Needs util-linux-ng >= 2.14
Needs util-linux-ng >= 2.14
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-20 16:01 EST by Braden McDaniel
Modified: 2008-11-22 11:50 EST (History)
4 users (show)

See Also:
Fixed In Version: coreutils-7.0-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-21 10:37:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Braden McDaniel 2008-11-20 16:01:47 EST
Description of problem:
When attempting to upgrade coreutils alongside util-linux-ng-2.13.1-8.3.fc9, I got this error:

Transaction Check Error:
  file /bin/arch from install of coreutils-6.12-17.fc10.x86_64 conflicts with file from package util-linux-ng-2.13.1-8.3.fc9.x86_64
  file /usr/share/man/man1/arch.1.gz from install of coreutils-6.12-17.fc10.x86_64 conflicts with file from package util-linux-ng-2.13.1-8.3.fc9.x86_64

Upgrading to util-linux-ng-2.14.1-3.fc10 at the same time resolves this issue; but presumably upgrading coreutils should have prompted this to happen automatically.

Version-Release number of selected component (if applicable):
6.12-17.fc10
Comment 1 Ondrej Vasik 2008-11-20 16:17:24 EST
Thanks for report. I don't want to add requirements for util-linux-ng >= 2.14 to coreutils - that seems silly to me - as arch utility was only moved from util-linux-ng to coreutils in rawhide just after F-9 split. Anyway upgrades from F-9 to F-10+ should be solved somehow... I'm only worried about possible circle dependency (in the case that Requires: util-linux-ng >= 2.14 is the only suitable option) - coreutils is and needs to be installed very soon in package tree.
Comment 2 Ondrej Vasik 2008-11-20 16:19:13 EST
Adding util-linux-ng maintainer to cc...
Comment 3 Ondrej Vasik 2008-11-21 08:38:56 EST
Ok - just to summarize current situation:
F10 installation ok, F-9 -> F-10-iso conflict, F-9 -> rawhide conflict

Possible clean solutions:
1) To make F-9 (and maybe F-8) coreutils and util-linux-ng update with arch binary moved and with correct Requires. No changes in F-10 and rawhide required... should solve the updates from fully updated systems correctly.

2) To make just F-10 and Rawhide coreutils update with Requires: util-linux-ng >= 2.14 ... will solve online updates with latest_pkg repos, but not offline updates ... just with F-10 iso (and I don't see any chance to solve that without changes in F-9/F-8 util-linux-ng and coreutils package).

There are obviously other ... hacky solutions like moving /bin/arch to /usr/bin/arch in F-9 and F-8 util-linux-ng and having /bin/arch symlink created in util-linux-ng %post (and not owned by util-linux-ng package - this will prevent conflict warnings as well) ...
Comment 4 Ondrej Vasik 2008-11-21 10:37:16 EST
Ok, built rawhide as coreutils-7.0-2.fc11 with Requires: util-linux-ng >= 2.14 ... hopefully it will not break anything. Closing RAWHIDE, coreutils-6.12-18.fc10 build is building as well and will be submitted as zero-date update. I guess those who will upgrade from F-9 to F-10 will choose online update and therefore will be not bitten by the hard-to-solve issue with update to F10.iso ...

Note for anyone:
Feel free to add/post any idea how to solve the issue better way (as current solution is a bit silly).
Comment 5 Fedora Update System 2008-11-21 10:49:43 EST
coreutils-6.12-18.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/coreutils-6.12-18.fc10
Comment 6 Fedora Update System 2008-11-22 11:49:58 EST
coreutils-6.12-18.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.